POST api/Coupon/Create
Request Information
URI Parameters
None.
Body Parameters
StripeCouponViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| Name | string |
None. |
|
| Code | string |
None. |
|
| PercentOff | decimal number |
None. |
|
| AmountOff | integer |
None. |
|
| Enabled | boolean |
None. |
|
| CreatedDate | date |
None. |
|
| ModifiedDate | date |
None. |
|
| HasApplied | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": 1,
"name": "sample string 2",
"code": "sample string 3",
"percentOff": 1.0,
"amountOff": 1,
"enabled": true,
"createdDate": "2026-03-04T16:36:34.4715775Z",
"modifiedDate": "2026-03-04T16:36:34.4715775Z",
"hasApplied": true
}
application/xml, text/xml
Sample:
<StripeCouponViewModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/ncdc.api.ViewModels"> <AmountOff>1</AmountOff> <Code>sample string 3</Code> <CreatedDate>2026-03-04T16:36:34.4715775Z</CreatedDate> <Enabled>true</Enabled> <HasApplied>true</HasApplied> <Id>1</Id> <ModifiedDate>2026-03-04T16:36:34.4715775Z</ModifiedDate> <Name>sample string 2</Name> <PercentOff>1</PercentOff> </StripeCouponViewModel>
multipart/form-data
Sample:
<StripeCouponViewModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/ncdc.api.ViewModels"><AmountOff>1</AmountOff><Code>sample string 3</Code><CreatedDate>2026-03-04T16:36:34.4715775Z</CreatedDate><Enabled>true</Enabled><HasApplied>true</HasApplied><Id>1</Id><ModifiedDate>2026-03-04T16:36:34.4715775Z</ModifiedDate><Name>sample string 2</Name><PercentOff>1</PercentOff></StripeCouponViewModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml, multipart/form-data
Sample:
Sample not available.